Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class JcrRepository.FederatedRepositoryContext

    java.lang.Object
      org.modeshape.jcr.JcrRepository.FederatedRepositoryContext

All Implemented Interfaces:
  RepositoryContext

Enclosing class:
  JcrRepository

    protected class JcrRepository.FederatedRepositoryContext

extends Object
implements RepositoryContext

Constructor Summary
`protected` | `JcrRepository.FederatedRepositoryContext(RepositoryConnectionFactory nonFederatingConnectionFactory)`

Method Summary
`Subgraph` | `getConfiguration(int depth)` Get a snapshot of the current configuration for the `RepositorySource`.
`ExecutionContext` | `getExecutionContext()` Get the execution context, which can be used to create other contexts with specific JAAS security contexts.
`Observer` | `getObserver()` Get the observer that the connector may use to publish changes.
`RepositoryConnectionFactory` | `getRepositoryConnectionFactory()` Get the factory for `connections` to other sources.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JcrRepository.FederatedRepositoryContext

    protected JcrRepository.FederatedRepositoryContext(RepositoryConnectionFactory nonFederatingConnectionFactory)

Method Detail

### getConfiguration

    public Subgraph getConfiguration(int depth)

  Get a snapshot of the current configuration for the `RepositorySource`. The root of the subgraph will be the node in the configuration that represents the RepositorySource.

  Specified by:
    `getConfiguration` in interface `RepositoryContext`
  Parameters:
    `depth` - the max depth of the configuration subgraph
  Returns:
    the configuration snapshot as a subgraph, or null if there is no configuration
  See Also:
    `RepositoryContext.getConfiguration(int)`

### getExecutionContext

    public ExecutionContext getExecutionContext()

  Get the execution context, which can be used to create other contexts with specific JAAS security contexts.

  Specified by:
    `getExecutionContext` in interface `RepositoryContext`
  Returns:
    the execution context; never null
  See Also:
    `RepositoryContext.getExecutionContext()`

### getObserver

    public Observer getObserver()

  Get the observer that the connector may use to publish changes.

  Specified by:
    `getObserver` in interface `RepositoryContext`
  Returns:
    the observer, or null if the are no listeners and publishing is not required/requested
  See Also:
    `RepositoryContext.getObserver()`

### getRepositoryConnectionFactory

    public RepositoryConnectionFactory getRepositoryConnectionFactory()

  Get the factory for `connections` to other sources.

  Specified by:
    `getRepositoryConnectionFactory` in interface `RepositoryContext`
  Returns:
    the connection factory
  See Also:
    `RepositoryContext.getRepositoryConnectionFactory()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.